Page MenuHomePhabricator

Notification side panel: For current wiki with zero unread notifications the title should be greyed out
Closed, ResolvedPublic

Description

The current wiki [...] is always shown even if there are no notifications there. In this case, the item is displayed in a lighter text

The current wiki name with zero unread notifications is displayed in bold.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 7 2016, 7:06 PM

Change 299189 had a related patch set uploaded (by Mooeypoo):
Dim the title of current wiki if it has 0 notifications

https://gerrit.wikimedia.org/r/299189

Change 299189 merged by jenkins-bot:
Dim the title of current wiki if it has 0 notifications

https://gerrit.wikimedia.org/r/299189

Etonkovidova renamed this task from Notification side panel: For current wiki has zero unread notifications the title should be greyed out to Notification side panel: For current wiki with zero unread notifications the title should be greyed out.Jul 19 2016, 11:37 PM

Checked in betalabs - the title of local wiki with zero notificaitons is dimmed.

@Pginer-WMF, I wish I'd thought of this sooner, but looking at this I have a question about this ticket. Typically, dimming an option to gray means it's not available. But in this case, the link —despite the fact that there are no NEW messages to see—is available for clicking.

E.g., in the screenshot below: say the user clicks to English Wikipedia. The Dutch link remains gray, but clicking that link will bring up all the unread messages on Dutch. So the question is, what is the significance of making that link gray if it is in fact clickable, and do we really want that link to be gray?

So the question is, what is the significance of making that link gray if it is in fact clickable, and do we really want that link to be gray?

Sections on this panel disappear when they are empty, but we need to keep a way to the current wiki to avoid users to get locked. Making the current wiki to also deemphasise without disappearing seemed a way to be consistent with both behaviours ("nothing pending here" but "you still can go back to the current wiki").

If we think that turning the option grey can create confusion, I'm ok avoiding that since the number 0 also indicates the status.

@Pginer-WMF wrote:

If we think that turning the option grey can create confusion, I'm ok avoiding that since the number 0 also indicates the status.

I apologize again for not having thought this through earlier in the process, but I would prefer to leave the behavior as it was. @Mooeypoo, do you need to do something to restore the previous behavior? If so, please do it. Thanks. (@Etonkovidova, if Moriel restores the behavior, does that need to go through QA, or can she just close the ticket?)

Change 305416 had a related patch set uploaded (by Catrope):
Revert "Dim the title of current wiki if it has 0 notifications"

https://gerrit.wikimedia.org/r/305416

Change 305416 merged by jenkins-bot:
Revert "Dim the title of current wiki if it has 0 notifications"

https://gerrit.wikimedia.org/r/305416

Checked in betalabs - the current wiki with no notificaitons, the wiki title is displayed in bold.

jmatazzoni closed this task as Resolved.Aug 18 2016, 9:52 PM